org.apache.solr.client.solrj

## Class SolrResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SolrResponseBase

    public abstract class SolrResponse
    extends Object
    implements Serializable

Since:
  solr 1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SolrResponse()`

### Method Summary

Methods
`static SolrResponse` `deserialize(byte[] bytes)`
`abstract long` `getElapsedTime()`
`abstract NamedList<Object>` `getResponse()`
`static byte[]` `serializable(SolrResponse response)`
`abstract void` `setElapsedTime(long elapsedTime)`
`abstract void` `setResponse(NamedList<Object> rsp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrResponse

    public SolrResponse()

### Method Detail

#### getElapsedTime

    public abstract long getElapsedTime()

#### setResponse

    public abstract void setResponse(NamedList<Object> rsp)

#### setElapsedTime

    public abstract void setElapsedTime(long elapsedTime)

#### getResponse

    public abstract NamedList<Object> getResponse()

#### serializable

    public static byte[] serializable(SolrResponse response)

#### deserialize

    public static SolrResponse deserialize(byte[] bytes)